Thread [LWP::UserAgent] "Ein nicht blockierender Socketvorgang konnte nicht sofort ausgeführt werden" (Perl 5.18 64bit) (33 answers)
Opened by bianca at 2015-03-23 07:43

GwenDragon
 2015-03-24 08:48
#180308 #180308
User since
2005-01-17
14531 articles
Admin1
[Homepage]
user image
Das geht so:

1. cpan starten

C:> cpan
cpan shell -- CPAN exploration and modules installation (v2.10)
Enter 'h' for help.

cpan>


2. Mit i /SSL/ nach den Modulen mit SSL suchen

cpan> i /SSL/

3. Zeilen suchen die am Anfang Module = (für installierte Module) zeigen.
Das sieht so aus:
Module = Crypt::SSLeay (NANIS/Crypt-SSLeay-0.72.tar.gz)
Dort den in Klammernstehenden "Dateinamen" kopieren

4. Diese Datei neu reinstallieren

cpan> install NANIS/Crypt-SSLeay-0.72.tar.gz

5. Solange zu Punkt 3. bis Liste abgearbietet

6. Auch die Sockets suchen

cpan> i /Socket/

7. und wie unter 3. und 4. beschrieben reinstallieren

8. Installerte LWP und LWP::Protocol::https suchen

cpan> i /LWP/

9. und wie unter 3. und 4. beschrieben reinstallieren



Wenn was nicht im Test durchläuft auch mal versuchen mit:
cpan> notest install ...


Versuchs mal.
Last edited: 2015-03-24 08:49:41 +0100 (CET)
die Drachin, Gwendolyn


Unterschiedliche Perl-Versionen auf Windows (fast wie perlbrew) • Meine Perl-Artikel

View full thread [LWP::UserAgent] "Ein nicht blockierender Socketvorgang konnte nicht sofort ausgeführt werden" (Perl 5.18 64bit)